{% import "macro/form.twig" as form %}
<style>
	.page {
		position: relative;
		float: left;
		width: 100%;
	}
	.page img {
		width: 100%;
		box-shadow: 0 0 10px;
		margin-bottom: 20px;
	}
	.closepage {
		position: absolute;
		right: 0;
		color: red;
		font-size: 18px;
		background: #fff;
		padding: 5px;
		border-radius: 50%;
		width: 30px;
		height: 30px;
	}
	i.fa.fa-times {
    position: absolute;
    right: 10px;
 font-size:20px;
    top: 10px;
    color:#999;
}
i.fa.fa-times:hover{
    color:#000;
}
</style>
<div class="container-fluid">
	<div class="row">
		<div class="col-md-6">
			<h2>{{pages[0].name}}</h2>
		</div>
		<div class="col-md-6 go-to-page text-right">
			{{form.pagination()}}
			<div class="time"></div>
		</div>
	</div>

	<hr>
	<div class="card">
		<div class="card-header">How to review</div>
		<div class="card-body">
			You can click on the cross button to delete the scripts you have uploaded. You can go back to upload a new answer script by clicking on add more button. Remember you can only upload your answerscripts in jpg and png format only.
		</div>
	</div>
	<div class="row">
		<div class="form-group col-md-12">
			<div class="main-section-scroll">
				{% for page in pages %}

					<div class="page" id="page{{loop.index}}">
						<i class='fas fa-times closepage' onclick='deletepage({{page.id}})'></i>
						<img class="lazy" data-src="/img/attempt/{{page.id}}" alt="">
					</div>
				{% endfor %}
			</div>
		</div>
	</div>
</div>
<div class="fixed-footer" >
	<form id="upload" action="/results/list" method="POST" name="book" enctype="multipart/form-data">
		<fieldset>
			{{form.hidden("name",user.user)}}
			{# {{form.hidden("subject",qpinfo[2])}} #}
			{{form.hidden("action","upload-attempt-img")}}

			{{form.hidden("type","subjective")}}
			{# {{form.hidden("category",qpinfo[0])}} #}
				<div class="right">
				</div>
					<button style="padding:10px;border-radius:10px;margin-left:10px;margin-bottom:10px" class=" btn-primary fr" type="button" onclick='morefiles();'>Add More</button>
					<button style="padding:10px;border-radius:10px;margin-left:10px;margin-bottom:10px" class=" btn-primary fr" type="button" onclick='finishExam();'>Submit and Finish Exams</button>
				<div class="left">
				</div>
			

		</fieldset>
	</form>
</div>
<div class="popup" frm=morefiles>
	<div class="card-body">
	<i onclick=popup.close() class='fa fa-times'></i>
		<h2>Add More Pages</h2>
		<hr>
		<form id="upload" action="/results/list" method="POST" name="book" enctype="multipart/form-data">
			<fieldset>
				{{form.hidden("name",user.user)}}
				{{form.hidden("subject",qpinfo[2])}}
				{{form.hidden("action","upload-attempt-img")}}

				{{form.hidden("type","subjective")}}
				{{form.hidden("category",qpinfo[0])}}
				<legend></legend>
				<div class="form-gorup col-sm-12">
					<div id="progress"></div>
					<input type="file" name="fileselect[]" id="fileselect" multiple="multiple" class="form-control" style="margin-bottom:5px">
				</div>
			</fieldset>
				<button type="button" onclick=popup.close() style="margin-top:30px;" class="btn btn-primary fr">Submit and Review</button>
		</form>
	</div>
</div>

{# <div frm="batch" class="popup">
	<h2>Grant permission to batch</h2>
	<form method="post">
		{{form.input("Batch","batch","")}}
		{{form.hidden("action","permit-book-batch")}}
		{{for.hidden("book",pages[0].name)}}
		<button class="btn btn-primary fr">Grant Permission</button>
	</form>
</div> #}
<script src="/js/filedrag.js?{{version}}"></script>
<script src="/js/review.js"></script>
<script>
function morefiles(){
	let morefilespopup=document.querySelector("[frm=morefiles]");
	morefilespopup.style="display:block";
}
var popup={
	close:function(){
		let morefilespopup=document.querySelector("[frm=morefiles]");
	//morefilespopup.style="";
location.href="/examinations/review/"+location.pathname.split("/")[location.pathname.split("/").length - 2] + "/"  + subtime;
	}
}
</script>